#define Ram_tiles 0X1200

#define Hill11 0X1122
#define Hill21 0X1123
#define Hill12 0X112a
#define Hill22 0X112b
#define Plain11 0X1120
#define Plain21 0X1121
#define Plain12 0X1128
#define Plain22 0X1129
#define Forest11 0X1124
#define Forest21 0X1125
#define Forest12 0X112c
#define Forest22 0X112d
#define Fence11 0X1126
#define Fence21 0X1127
#define Fence12 0X112e
#define Fence22 0X112f
#define Pave11 0X1130
#define Pave21 0X1131
#define Pave12 0X1138
#define Pave22 0X1139

map1()
{

char i,j;

vsync();
cls();

i=0;
load_sprites(Ram_tiles,tilesgfx,1);
set_bgpal(1,tilespal);

while (i<32)
{
put_raw(Hill11,i,0);
put_raw(Hill21,i+1,0);
put_raw(Hill12,i,1);
put_raw(Hill22,i+1,1);
put_raw(Hill11,i,26);
put_raw(Hill21,i+1,26);
put_raw(Hill12,i,27);
put_raw(Hill22,i+1,27);
i+=2;
}
i=2;
while (i<27)
{
put_raw(Hill11,0,i);
put_raw(Hill21,1,i);
put_raw(Hill12,0,i+1);
put_raw(Hill22,1,i+1);
put_raw(Hill11,30,i);
put_raw(Hill21,31,i);
put_raw(Hill12,30,i+1);
put_raw(Hill22,31,i+1);
i+=2;
}
i=2;
while(i<29)
{
 j=2;
 while(j<26)
  {
   put_raw(Plain11,i,j);
   put_raw(Plain21,i+1,j);
   put_raw(Plain12,i,j+1);
   put_raw(Plain22,i+1,j+1);
   j+=2;
  }
 i+=2;
}

put_raw(Forest11,10,16);
put_raw(Forest21,11,16);
put_raw(Forest12,10,17);
put_raw(Forest22,11,17);

put_raw(Forest11,30,8);
put_raw(Forest21,31,8);
put_raw(Forest12,30,9);
put_raw(Forest22,31,9);

}
/***********************************************/
map2()
{

char i,j;

vsync();
cls();

i=0;
load_sprites(Ram_tiles,tilesgfx,1);
set_bgpal(1,tilespal);

while (i<32)
{
put_raw(Hill11,i,0);
put_raw(Hill21,i+1,0);
put_raw(Hill12,i,1);
put_raw(Hill22,i+1,1);
put_raw(Hill11,i,26);
put_raw(Hill21,i+1,26);
put_raw(Hill12,i,27);
put_raw(Hill22,i+1,27);
i+=2;
}
i=2;
while (i<27)
{
put_raw(Hill11,0,i);
put_raw(Hill21,1,i);
put_raw(Hill12,0,i+1);
put_raw(Hill22,1,i+1);
put_raw(Hill11,30,i);
put_raw(Hill21,31,i);
put_raw(Hill12,30,i+1);
put_raw(Hill22,31,i+1);
i+=2;
}
i=2;
while(i<29)
{
 j=2;
 while(j<27)
  {
   put_raw(Plain11,i,j);
   put_raw(Plain21,i+1,j);
   put_raw(Plain12,i,j+1);
   put_raw(Plain22,i+1,j+1);
   j+=2;
  }
 i+=2;
}


put_raw(Forest11,0,8);
put_raw(Forest21,1,8);
put_raw(Forest12,0,9);
put_raw(Forest22,1,9);

}
/***********************************************/
map3()
{

char i,j;

vsync();
cls();

i=0;
load_sprites(Ram_tiles,tilesgfx,1);
while (i<32)
{
put_raw(Hill11,i,26);
put_raw(Hill21,i+1,26);
put_raw(Hill12,i,27);
put_raw(Hill22,i+1,27);
i+=2;
}
i=0;
while (i<27)
{
put_raw(Hill11,0,i);
put_raw(Hill21,1,i);
put_raw(Hill12,0,i+1);
put_raw(Hill22,1,i+1);
put_raw(Hill11,30,i);
put_raw(Hill21,31,i);
put_raw(Hill12,30,i+1);
put_raw(Hill22,31,i+1);
i+=2;
}
i=2;
while(i<29)
{
 j=0;
 while(j<26)
  {
   put_raw(Plain11,i,j);
   put_raw(Plain21,i+1,j);
   put_raw(Plain12,i,j+1);
   put_raw(Plain22,i+1,j+1);
   j+=2;
  }
 i+=2;
}

put_raw(Forest11,28,24);
put_raw(Forest12,28,25);
put_raw(Forest21,29,24);
put_raw(Forest22,29,25);


put_raw(Fence11,12,26);
put_raw(Fence12,12,27);
put_raw(Fence21,13,26);
put_raw(Fence22,13,27);

put_raw(Fence11,18,26);
put_raw(Fence12,18,27);
put_raw(Fence21,19,26);
put_raw(Fence22,19,27);

put_raw(Pave11,14,26);
put_raw(Pave12,14,27);
put_raw(Pave21,15,26);
put_raw(Pave22,15,27);

put_raw(Pave11,16,26);
put_raw(Pave12,16,27);
put_raw(Pave21,17,26);
put_raw(Pave22,17,27);


}

/************************************/
map4()
{
char i,j;

for(i=2;i<25;i+=2)
 {
 put_raw(Fence11,0,i);
 put_raw(Fence12,0,i+1);
 put_raw(Fence21,1,i);
 put_raw(Fence22,1,i+1);

 put_raw(Fence11,30,i);
 put_raw(Fence12,30,i+1);
 put_raw(Fence21,31,i);
 put_raw(Fence22,31,i+1);

 for(j=2;j<30;j+=2)
  {
  put_raw(Pave11,j,i);
  put_raw(Pave12,j,i+1);
  put_raw(Pave21,j+1,i);
  put_raw(Pave22,j+1,i+1);
  }

 }

for(i=0;i<31;i+=2)
 {
 put_raw(Fence11,i,26);
 put_raw(Fence12,i,27);
 put_raw(Fence21,i+1,26);
 put_raw(Fence22,i+1,27);

 put_raw(Fence11,i,0);
 put_raw(Fence12,i,1);
 put_raw(Fence21,i+1,0);
 put_raw(Fence22,i+1,1);

 }

put_raw(Pave11,14,0);
put_raw(Pave12,14,1);
put_raw(Pave21,15,0);
put_raw(Pave22,15,1);

put_raw(Pave11,16,0);
put_raw(Pave12,16,1);
put_raw(Pave21,17,0);
put_raw(Pave22,17,1);


}